| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Macros
OgreThreadDefinesNone.h File Reference

## Macros
#define | OGRE_AUTO_MUTEX
#define | OGRE_AUTO_SHARED_MUTEX
#define | OGRE_COPY_AUTO_SHARED_MUTEX(from)
#define | OGRE_DELETE_AUTO_SHARED_MUTEX
#define | OGRE_LOCK_AUTO_MUTEX
#define | OGRE_LOCK_AUTO_SHARED_MUTEX
#define | OGRE_MUTEX_CONDITIONAL(name) if(true)
#define | OGRE_NEW_AUTO_SHARED_MUTEX
#define | OGRE_SET_AUTO_SHARED_MUTEX_NULL
#define | OGRE_STATIC_MUTEX(name)
#define | OGRE_STATIC_MUTEX_INSTANCE(name)
#define | OGRE_THREAD_CURRENT_ID "main"
#define | OGRE_THREAD_HARDWARE_CONCURRENCY 1
#define | OGRE_THREAD_NOTIFY_ALL(sync)
#define | OGRE_THREAD_NOTIFY_ONE(sync)
#define | OGRE_THREAD_SLEEP(ms)
#define | OGRE_THREAD_WORKER_INHERIT
#define | OGRE_THREAD_YIELD
#define | OGRE_WQ_LOCK_MUTEX(name)
#define | OGRE_WQ_LOCK_MUTEX_NAMED(mutexName, lockName)
#define | OGRE_WQ_LOCK_RW_MUTEX_READ(name)
#define | OGRE_WQ_LOCK_RW_MUTEX_WRITE(name)
#define | OGRE_WQ_MUTEX(name)
#define | OGRE_WQ_RW_MUTEX(name)
#define | OGRE_WQ_THREAD_SYNCHRONISER(sync)

## Macro Definition Documentation

## ◆ OGRE_THREAD_HARDWARE_CONCURRENCY

#define OGRE_THREAD_HARDWARE_CONCURRENCY 1

## ◆ OGRE_THREAD_CURRENT_ID

#define OGRE_THREAD_CURRENT_ID "main"

## ◆ OGRE_THREAD_WORKER_INHERIT

#define OGRE_THREAD_WORKER_INHERIT

## ◆ OGRE_WQ_MUTEX

#define OGRE_WQ_MUTEX | ( |  | name | ) |

## ◆ OGRE_WQ_LOCK_MUTEX

#define OGRE_WQ_LOCK_MUTEX | ( |  | name | ) |

## ◆ OGRE_WQ_LOCK_MUTEX_NAMED

#define OGRE_WQ_LOCK_MUTEX_NAMED | ( |  | mutexName,
|  |  | lockName
| ) |  |

## ◆ OGRE_WQ_RW_MUTEX

#define OGRE_WQ_RW_MUTEX | ( |  | name | ) |

## ◆ OGRE_WQ_LOCK_RW_MUTEX_READ

#define OGRE_WQ_LOCK_RW_MUTEX_READ | ( |  | name | ) |

## ◆ OGRE_WQ_LOCK_RW_MUTEX_WRITE

#define OGRE_WQ_LOCK_RW_MUTEX_WRITE | ( |  | name | ) |

## ◆ OGRE_WQ_THREAD_SYNCHRONISER

#define OGRE_WQ_THREAD_SYNCHRONISER | ( |  | sync | ) |

## ◆ OGRE_THREAD_NOTIFY_ONE

#define OGRE_THREAD_NOTIFY_ONE | ( |  | sync | ) |

## ◆ OGRE_THREAD_NOTIFY_ALL

#define OGRE_THREAD_NOTIFY_ALL | ( |  | sync | ) |

## ◆ OGRE_AUTO_MUTEX

#define OGRE_AUTO_MUTEX

## ◆ OGRE_LOCK_AUTO_MUTEX

#define OGRE_LOCK_AUTO_MUTEX

## ◆ OGRE_STATIC_MUTEX

#define OGRE_STATIC_MUTEX | ( |  | name | ) |

## ◆ OGRE_STATIC_MUTEX_INSTANCE

#define OGRE_STATIC_MUTEX_INSTANCE | ( |  | name | ) |

## ◆ OGRE_AUTO_SHARED_MUTEX

#define OGRE_AUTO_SHARED_MUTEX

## ◆ OGRE_LOCK_AUTO_SHARED_MUTEX

#define OGRE_LOCK_AUTO_SHARED_MUTEX

## ◆ OGRE_NEW_AUTO_SHARED_MUTEX

#define OGRE_NEW_AUTO_SHARED_MUTEX

## ◆ OGRE_DELETE_AUTO_SHARED_MUTEX

#define OGRE_DELETE_AUTO_SHARED_MUTEX

## ◆ OGRE_COPY_AUTO_SHARED_MUTEX

#define OGRE_COPY_AUTO_SHARED_MUTEX | ( |  | from | ) |

## ◆ OGRE_SET_AUTO_SHARED_MUTEX_NULL

#define OGRE_SET_AUTO_SHARED_MUTEX_NULL

## ◆ OGRE_MUTEX_CONDITIONAL

#define OGRE_MUTEX_CONDITIONAL | ( |  | name | ) | if(true)

## ◆ OGRE_THREAD_SLEEP

#define OGRE_THREAD_SLEEP | ( |  | ms | ) |

## ◆ OGRE_THREAD_YIELD

#define OGRE_THREAD_YIELD